%define upstream_name    XML-Parser-Style-EasyTree
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Parse xml to simple tree
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     XML-Parser-Style-EasyTree-0.09-fix-version-for-cpanplus.patch

BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(XML::Parser)
BuildRequires: perl(ex::lib)

BuildArch: noarch


Requires: perl(ex::lib)

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.90.0-13.mga9
+ Revision: 1810618
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.90.0-12.mga8
+ Revision: 1507030
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.90.0-11.mga7
+ Revision: 1287313
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.90.0-10.mga7
+ Revision: 1167462
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 tv <tv> 0.90.0-9.mga7
+ Revision: 1158645
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-8.mga6
+ Revision: 1036043
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.90.0-7.mga6
+ Revision: 934531
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-6.mga5
+ Revision: 748015
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-5.mga5
+ Revision: 686949
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.90.0-4.mga4
+ Revision: 516161
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-3.mga3
+ Revision: 375116
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 jquelin <jquelin> 0.90.0-2.mga3
+ Revision: 326957
- adding missing buildrequires:

* Sat Jan 22 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 32547
- mageia rebuild
- imported package perl-XML-Parser-Style-EasyTree

